### Method

# Gsk.Transform.transform_bounds

#### Declaration [src]

    void
    gsk_transform_transform_bounds (
      GskTransform* self,
      const graphene_rect_t* rect,
      graphene_rect_t* out_rect
    )

#### Description [src]

Transforms a `graphene_rect_t` using the given transform `self`.

The result is the bounding box containing the coplanar quad.

#### Parameters

`rect` | `const graphene_rect_t*`
| a `graphene_rect_t`
| Ownership is not transferred to the callee
`out_rect` | `graphene_rect_t*`
| return location for the bounds of the transformed rectangle
| Direction: out
| Ownership is not transferred to the callee